"""Added CRM specific fields

Revision ID: e24da48ab57a  
Revises: e787389ca868
Create Date: 2021-10-15 11:14:28.267586
"""

import sqlalchemy as sa
from alembic import op


# revision identifiers, used by Alembic.
# revision = 'e24da48ab57a'
# down_revision = 'e787389ca868'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('events', sa.Column('crmshare', sa.Boolean(), nullable=False, server_default='false'), schema='events')
    
    op.execute('''
        CREATE SEQUENCE events.proforma_id_seq
            INCREMENT 1
            MINVALUE 5000
            MAXVALUE 9223372036854775807
            START 1
            CACHE 1;

        ALTER TABLE events.proforma_id_seq
            OWNER TO indico;

        CREATE SEQUENCE events.invoices_id_seq
            INCREMENT 1
            MINVALUE 1
            MAXVALUE 9223372036854775807
            START 1
            CACHE 1;

        ALTER TABLE events.invoices_id_seq
            OWNER TO indico;
    ''')
    
    op.execute('''
        ALTER TABLE events.events ADD COLUMN external_event_url VARCHAR;
        ALTER TABLE events.events ADD COLUMN vat_collection_method VARCHAR;
        ALTER TABLE events.events ADD COLUMN country_vat_name character varying;
        ALTER TABLE events.events ADD COLUMN country_vat_number character varying;
        ALTER TABLE events.events ADD COLUMN country_vat_rate numeric(4,2);
        ALTER TABLE events.events ADD COLUMN invoice_payment character varying;
        
        ALTER TABLE events.payment_transactions ADD COLUMN payment_key character varying;
        
        ALTER TABLE events_registration.registrations ADD COLUMN country_vat_name VARCHAR;
        ALTER TABLE events_registration.registrations ADD COLUMN country_vat_number VARCHAR;
        ALTER TABLE events_registration.registrations ADD COLUMN country_vat_rate NUMERIC(8,2);
        
        CREATE TABLE events.proforma
            (
            id integer NOT NULL DEFAULT nextval('events.proforma_id_seq'::regclass),
            registration_id integer NOT NULL,
            payment_type text NOT NULL,
            amount numeric(8,2) NOT NULL,
            "timestamp" timestamp without time zone NOT NULL DEFAULT now(),
            reg_type text
            )
        WITH ( OIDS=FALSE );
        
        ALTER TABLE events.proforma OWNER TO indico;
        
        CREATE TABLE events.invoices
            (
            id integer NOT NULL DEFAULT nextval('events.invoices_id_seq'::regclass),
            registration_id integer NOT NULL,
            payment_type text NOT NULL,
            amount numeric(8,2) NOT NULL,
            "timestamp" timestamp without time zone NOT NULL DEFAULT now(),
            reg_type text
            )        
        WITH ( OIDS=FALSE );
        
        ALTER TABLE events.invoices OWNER TO indico;

    ''')
    
    op.execute('''
        ALTER TABLE event_registration.form_items DROP CONSTRAINT ck_form_items_valid_enum_personal_data_type RESTRICT;

        ALTER TABLE event_registration.form_items ADD CONSTRAINT ck_form_items_valid_enum_personal_data_type CHECK ((personal_data_type = ANY (ARRAY[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14,15, 16, 17])));
    ''')
    
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('events', 'crmshare', schema='events')
    # ### end Alembic commands ###
